target=compose1 compose2 compose3
\author{Rgine, Mangeard}
\email{regine@mangeard.fr}
\format{html}
\precision{100}
\text{size=\confparm1=1 ? :x-large}
\integer{a=randint(1..9)*randint(1,-1)}
\integer{b=randint(1..9)*randint(1,-1)}
\integer{d=randint(1..9)*randint(1,-1)}
\integer{b=\a*\d}
\integer{c=\d>0?\d+randint(1..5):\d-randint(1..5)}
\integer{c=\c=1?10}
\integer{c=\c=-1?-10}
\text{crocg=\(\lbrack)}
\text{crocd=\(\rbrack)}
\integer{ch=randint(1,2)}
\integer{ch2=randint(1,2)}
#if defined TARGET_compose1
\title{Composition et enchainement}
\integer{debfct=1}
#endif
#if defined TARGET_compose2
\title{Composition 2}
\integer{debfct=2}
#endif
#if defined TARGET_compose3
\title{Composition 3}
\integer{debfct=2}
\integer{ch2=1}
#endif
\text{lstfct=sqrt(x),\a*x-\b,\crocg 0 &#59;\(+\infty) \crocg,\(\,\RR),\crocg \d &#59;\(+\infty) \crocg,\crocd \(-\infty) &#59;\d \crocd,\crocg 0 &#59;\(+\infty) \crocg,\crocg 0 &#59;\(+\infty) \crocg
x^2,\a*x-\b,\(\,\RR),\(\,\RR),\(\,\RR),\(\,\RR),\(\,\RR),\(\,\RR)
x^3,\a*x-\b,\(\,\RR),\(\,\RR),\(\,\RR),\(\,\RR),\(\,\RR),\(\,\RR)
1/x,\a*x-\b,\(\RR \setminus \{0\}),\(\,\RR),\(\RR \setminus \{\d\}),\(\RR \setminus \{\d\}),\(\RR \setminus \{0\}),\(\RR \setminus \{0\})
}
\integer{nf=rows(\lstfct)}
\integer{i=randint(\debfct..\nf)}
integer{i=6}
\text{indl=\ch=1?1,2,3,4,5,6,7,8:2,1,4,3,7,8,5,6}
\text{cedata=row(\i,\lstfct)}
\text{tf=texmath(maxima(\cedata[\indl[2]]))}
\text{tg=texmath(maxima(\cedata[\indl[1]]))}
\text{Df=\cedata[\indl[4]]}
\text{Dg=\cedata[\indl[3]]}
\text{Dh=\a>0?\cedata[\indl[5]]:\cedata[\indl[6]]}
\text{Dbadh=\a>0?\cedata[\indl[7]]:\cedata[\indl[8]]}
\function{f=\cedata[\indl[2]]}
\function{g=\cedata[\indl[1]]}
\function{h=wims(replace internal x by (\cedata[\indl[2]]) in \g)}
\function{badh=wims(replace internal x by (\cedata[\indl[1]]) in \f)}
\text{th=texmath(maxima(\h))}
\text{tbadh=texmath(maxima(\badh))}
\text{lstrep=sur \Dh par \(h(x)=\th), sur \Dbadh par \(h(x)=\tbadh)}
\if{\Dh notsametext \Dbadh}
 {
 \text{lstrep=\lstrep,sur \Dbadh par \(h(x)=\th), sur \Dh par \(h(x)=\tbadh)}
 \integer{nbrep=4}
 }
 {\integer{nbrep=2}}
\integer{rep=1}
#if defined TARGET_compose1
\statement{
<p>
On considre une fonction \(h) dfinie par l'enchanement de :
</p>
<div class="wimscenter">la fonction \(f) dfinie sur \Df par \(f(x)=\tf)</div>
suivie de:
<div class="wimscenter">la fonction \(g) dfinie sur \Dg par \(g(x)=\tg).</div>
<p>
Alors cette fonction \(h), que l'on peut noter \(g \circ f), est dfinie:
</p>
<ul>
<li>\embed{reply1,1}</li>
<li>\embed{reply1,2}</li>
\if{\nbrep=4}{
<li>\embed{reply1,3}</li>
<li>\embed{reply1,4}</li>
}
</ul>

}
\answer{}{\rep1;\lstrep}{type=radio}{option=shuffle}
\text{trep=wims(replace internal ; by &#59; in \reply1)}
\integer{posrep=position(\trep,\lstrep)}
\condition{\posrep=\rep}
\feedback{\posrep<>\rep}{La bonne rponse est:
<div class="wimscenter">\lstrep[\rep]</div>}
#else
\rational{fc=evalue(\f,x=\c)}
\rational{gc=evalue(\g,x=\c)}
\rational{fgc=evalue(\f,x=\gc)}
\rational{gfc=evalue(\g,x=\fc)}
\rational{ffc=evalue(\f,x=\fc)}
\rational{ggc=evalue(\g,x=\gc)}
\text{valf=\(f(\c)=\fc),\(f(\fc)=\ffc),\(f(\gc)=\fgc)}
\text{valg=\(g(\c)=\gc),\(g(\gc)=\ggc),\(g(\fc)=\gfc)}
\text{lstrep=\fc,\gc,\ffc,\ggc,\fgc,\gfc}
\text{lstrep=wims(listuniq \lstrep)}
\if{\ch2=1}
 {\text{f1=f}
  \text{f2=g}
  \integer{rep=position(\gfc,\lstrep)}
  \rational{v1=\fc}
  \rational{v2=\gfc}
 }
 {\text{f1=g}
  \text{f2=f}
  \integer{rep=position(\fgc,\lstrep)}
  \rational{v1=\gc}
  \rational{v2=\fgc}
 }
\text{tsol=On calcule d'abord \(\f1(\c)=\v1) puis \(\f2(\v1)=\v2)}
#if defined TARGET_compose2
\statement{
<p>
On considre une fonction \(f) pour laquelle on connait les valeurs suivantes :
</p>
<div class="wimscenter">\valf</div>
et une fonction \(g) pour laquelle on connait les valeurs suivantes:
<div class="wimscenter">\valg.</div>
<p>
On s'intresse maintenant  la fonction \(h) qui correspond  l'enchanement de
la fonction \(\f1) suivie de la fonction \(\f2).
</p><p>
Que vaut \(h(\c))&nbsp;?
</p>
<div class="wimscenter"> \embed{reply1}</div>

}
\answer{}{\rep;\lstrep}{type=radio}{option=shuffle}
#else
\statement{
 <p>
On considre une fonction \(h) dfinie par l'enchanement de : </p>
<div class="wimscenter">la fonction \(f) dfinie sur \Df par \(f(x)=\tf)</div>
suivie de:
<div class="wimscenter">la fonction \(g) dfinie sur \Dg par \(g(x)=\tg).</div>
Calculer \(h(\c))=\embed{reply1}
}
\answer{\(h(\c))}{\v2}{type=numexp}
\solution{\tsol}
#endif
#endif
